<?php 

class FRMChofer extends AppFormulario{
	
	public function init(){
		parent::init();

		$this->setAction('/wchofer/editar/id/'.$this->getObjeto()->id);
		$this->_url_traseditar = '/wchofer/listado';
		
		
		
		
		$codigo = new EFHidden('codigo');
		$this->addElement($codigo);
		
		
		$NOM_CHOF = new EFTexto('nombre');
		$NOM_CHOF->setLabel('Nombre');
		$NOM_CHOF->setRequired(true);
		$this->addElement($NOM_CHOF);
		
		$DNI_CHOF = new EFTexto('dni');
		$DNI_CHOF->setLabel('DNI');
		$DNI_CHOF->addValidator(new VLDNifchofer());
		//$validar = new EVValidar($DNI_CHOF, EVValidar::EV_FOCUSOUT);
		$ev_validar = new EVAccion(EVAccion::EV_FOCUSOUT, 'validar');
		$ev_validar->setEnviaFormulario(true);
		$DNI_CHOF->addEvento($ev_validar);
		
		$this->addElement($DNI_CHOF);
				
		$DIR_POTENCIALES = new EFTexto('direccion');
		$DIR_POTENCIALES->setLabel('Dirección');
		$this->addElement($DIR_POTENCIALES);
		
		$NUM_POTENCIALES = new EFTexto('numero');
		$NUM_POTENCIALES->setLabel('Numero');
		$this->addElement($NUM_POTENCIALES);
		
		$CP_CHOF = new EFTexto('codigo_postal');
		$CP_CHOF->setLabel('CP');
		$this->addElement($CP_CHOF);
		
		$POB_CHOF = new EFTexto('poblacion');
		$POB_CHOF->setLabel('Población');
		$POB_CHOF->setRequired(true);
		$this->addElement($POB_CHOF);
		
		$NOMBREPROVINCIA = new EFTexto('nombre_provincia');
		$NOMBREPROVINCIA->setLabel('Provincia');
		$NOMBREPROVINCIA->setRequired(true);
		
		$autocompletar = new EVAutoCompletar('Provincia', 'autocompletar');
		
		$PROVINCIA = new EFHidden('provincia');
		$autocompletar->addAsociado($PROVINCIA, 'CP');
		$NOMBREPROVINCIA->addEvento($autocompletar);
		$this->addElement($PROVINCIA);
		
		$this->addElement($NOMBREPROVINCIA);
		
		$TEL1_CHOF = new EFTexto('telefono');
		$TEL1_CHOF->setLabel('Teléfono');
		$this->addElement($TEL1_CHOF);
		
		$TEL2_CHOF = new EFTexto('movil');
		$TEL2_CHOF->setLabel('Movil');
		$this->addElement($TEL2_CHOF);
		
		$FAX_CHOF = new EFTexto('fax');
		$FAX_CHOF->setLabel('Fax');
		$this->addElement($FAX_CHOF);
		
		$EMAIL_CHOF = new EFTexto('email');
		$EMAIL_CHOF->setLabel('Email');
		$this->addElement($EMAIL_CHOF);
		
		$WEB_CHOF = new EFTexto('web');
		$WEB_CHOF->setLabel('Página web');
		$this->addElement($WEB_CHOF);
		
		$this->addElementoVista($NOM_CHOF);
		$this->addElementoVista($DNI_CHOF);
		$this->addElementoVista($DIR_POTENCIALES);
		$this->addElementoVista($NUM_POTENCIALES);
		$this->addElementoVista($CP_CHOF);
		$this->addElementoVista($POB_CHOF);
		$this->addElementoVista($NOMBREPROVINCIA);
		$this->addElementoVista($TEL1_CHOF);
		$this->addElementoVista($TEL2_CHOF);
		$this->addElementoVista($FAX_CHOF);
		$this->addElementoVista($EMAIL_CHOF);
		$this->addElementoVista($WEB_CHOF);
		
		
		$submit = new EFSubmit('guardar');
		$submit->setValue('Guardar');
		$this->addElement($submit);
		$this->addElementoVista($submit);
	}

	public function __construct(Chofer $objeto){
		$this->setObjeto($objeto);
		parent::__construct();
	}
	
}